Page MenuHomePhabricator

Support JUnit as an output format for unit test results
Closed, WontfixPublic

Description

It would be great if arc unit provided support for JUnit XML as an output format (i.e. arc unit --format junit). Arcanist does a great job at providing a consistent wrapper for various unit test engines. Providing a standard output format for unit tests results (such as JUnit XML) would make it easier for me to integrate with Jenkins.

Event Timeline

joshuaspence updated the task description. (Show Details)
joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence claimed this task.
joshuaspence added a project: Arcanist.
joshuaspence added subscribers: joshuaspence, epriestley.
joshuaspence triaged this task as Low priority.May 25 2014, 10:29 PM
joshuaspence added a project: Badge Awarded.
joshuaspence lowered the priority of this task from Low to Wishlist.Jun 19 2014, 4:15 PM
joshuaspence renamed this task from Support JUnit as an output format for unit test results. to Support JUnit as an output format for unit test results.Jul 10 2014, 9:07 PM

This would be great, agreed. As someone new to phabricator but a java person, I'm loving the apps, features and look the one problem is lack of compatability with the typical java stack (no real jenkins integration and no junit integration by default for example).
I wouldn't find this a problem if it was easy enough to figure out how to integrate these myself however unfortunately it's not and if the effort involved in figuring it out (or not) proves too great it's quite a barrier to adoption.

btrahan moved this task from Backlog to Needs A Guide on the Badge Awarded board.Nov 11 2014, 11:32 PM
epriestley closed this task as Wontfix.

This will be fully modularized in T13098 if it isn't already. I don't expect us to upstream a JUnit formatter, per T10038.